Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 695814 - Kill 'simple filename' mirror fetching for SRC_URI
Summary: Kill 'simple filename' mirror fetching for SRC_URI
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Hosted Projects
Classification: Unclassified
Component: PMS/EAPI (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: PMS/EAPI
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-28 18:13 UTC by Michał Górny
Modified: 2019-12-30 14:40 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-09-28 18:13:15 UTC
8.2.10 SRC_URI has:

> If a simple filename rather than a full URI is provided, the package manager can only use mirrors to download the file.

This is weird, half-broken in Portage (requires specific configuration in make.conf to work) and we really, really prefer people using mirror://gentoo when we want that behavior.

Let's either kill that in a future EAPI, or retroactively.  Since pkgcheck checks for this, we know that the tree is clean (except for two ebuilds just committed by Chewi, that are going to be fixed soonish).
Comment 1 James Le Cuirot gentoo-dev 2019-09-28 19:59:16 UTC
As per our discussion, would it then follow that a simple filename would do what RESTRICT="fetch" does now but just for that file? I guess that would make the option obsolete. Does fetch restriction on a full URI ever make sense?
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-09-28 20:03:18 UTC
(In reply to James Le Cuirot from comment #1)
> As per our discussion, would it then follow that a simple filename would do
> what RESTRICT="fetch" does now but just for that file? I guess that would
> make the option obsolete. Does fetch restriction on a full URI ever make
> sense?

Since this can't be made working retroactively (because of Portage implementation), I think we'll just go directly for selective fetch restriction (#371413).
Comment 3 Ulrich Müller gentoo-dev 2019-12-16 13:25:41 UTC
IMHO we should ban this retroactively, not as part of EAPI 8. Especially, if the feature neither works in practice, nor is used in the tree.
Comment 4 Larry the Git Cow gentoo-dev 2019-12-30 14:37:07 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/pms.git/commit/?id=2f8a07cf6b41b8883ad751d0e67705ab3cd264d4

commit 2f8a07cf6b41b8883ad751d0e67705ab3cd264d4
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2019-12-22 18:52:00 +0000
Commit:     Ulrich Müller <ulm@gentoo.org>
CommitDate: 2019-12-30 14:35:25 +0000

    ebuild-vars: Remove 'simple filename' mirror fetching
    
    The feature of using 'simple filename' to fetch from mirrors
    is ill-defined (which mirrors?).  The Portage implementation works only
    if GENTOO_MIRRORS are explicitly set.  It's not used in any ebuilds.
    Let's remove it retroactively from the specification.
    
    Bug: https://bugs.gentoo.org/695814
    Signed-off-by: Michał Górny <mgorny@gentoo.org>
    Signed-off-by: Ulrich Müller <ulm@gentoo.org>

 ebuild-vars.tex | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)